petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMRestrict

restricts user-defined problem data to a coarser DM by running hooks registered by DMCoarsenHookAdd()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMRestrict(DM fine,Mat restrct,Vec rscale,Mat inject,DM coarse)

Collective if any hooks are Many br

### Input Arguments

| fine | - finer DM to use as a base Many br
| restrct | - restriction matrix, apply using MatRestrict() Many br
| inject | - injection matrix, also use MatRestrict() Many br
| coarse | - coarer DM to update Many br

Many br

### See Also

DMCoarsenHookAdd(), MatRestrict()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages